fbsql_list_dbs
fbsql_list_tables
FrontBase Functions
PHP Manual

# fbsql_list_fields

List FrontBase result fields

### Description

resource fbsql_list_fields ( string `$database_name` , string `$table_name` [, resource `$link_identifier` ] )

Retrieves information about the given table.

### Parameters

`database_name`

  The database name.

`table_name`

  The table name.

`link_identifier`

  A FrontBase link identifier returned by fbsql_connect or fbsql_pconnect.

  If optional and not specified, the function will try to find an open link to the FrontBase server and if no such link is found it will try to create one as if fbsql_connect was called with no arguments.

### Return Values

Returns a result pointer which can be used with the fbsql_field_xxx functions, or `FALSE` on error.

### Errors/Exceptions

A string describing the error will be placed in $phperrmsg, and unless the function was called as @fbsql() then this error string will also be printed out.

### Examples

Example #1 fbsql_list_fields example

`<?php
$link = fbsql_connect('localhost', 'myname', 'secret');
$fields = fbsql_list_fields("database1", "table1", $link);
$columns = fbsql_num_fields($fields);
for ($i = 0; $i < $columns; $i++) {
echo fbsql_field_name($fields, $i) . "\n";;
}
?>`

The above example will output something similar to:

    field1
    field2
    field3
    ...

### See Also

- fbsql_field_len
- fbsql_field_name
- fbsql_field_type
- fbsql_field_flags